Review a flagged referral
POST
Approve or reject a referral that fraud checks held for review.
apiKeyheader
AuthorizationBearer <token>Use a secret key such as sk_test_... in test mode or sk_live_... in production.
referral_id*stringapplication/json- body
decision*stringValue in
"approve""reject"note?stringShown in the audit log.
The updated referral.
application/json- response
id*stringreferrer_id*stringreferred_external_id?stringstatus*ReferralStatusValue in
"pending""in_review""converted""rejected""expired"risk_score?numberHigher scores are more likely to be abuse. Scores above your threshold are held for review.
Range
0 <= value <= 1created_at*stringFormat
date-timeconverted_at?|Format
date-timecurl -X POST 'https://api.referralapi.example/v1/referrals/rfl_7Yp1aZc6/review' \ -H 'Content-Type: application/json' \ -d '{ "decision": "approve"}'Example Response
{ "id": "rfl_7Yp1aZc6", "referrer_id": "string", "referred_external_id": "string", "status": "pending", "risk_score": 0, "created_at": "2019-08-24T14:15:22Z", "converted_at": "2019-08-24T14:15:22Z"}